# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-trigger
Summary:		Trigger LADSPA plugin
Version:		20080510
Release:		1.1
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			%{name}-%{version}.tar.bz2
URL:			http://sourceforge.net/projects/ladspa-trigger/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
The package contains the LADSPA trigger plugins.



%prep
%setup -q -n %{name}
%__chmod 644 COPYING README

%build
%__sed -i -e 's|-fno-stack-protector||g' Makefile
%__make
#	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 plugins/*.so \
	%{buildroot}%{_libdir}/ladspa

%__install -dm 755 %{buildroot}%{_datadir}/%{name}/samples
%__install -m 644 samples/* \
	%{buildroot}%{_datadir}/%{name}/samples

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/samples
%{_datadir}/%{name}/samples/*

%changelog
* Sat May 10 2008 Toni Graffy <toni@links2linux.de> - 20080510-0.pm.1
- update to 20080510
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 20070826-0.pm.1
- splitt-off from ladspa package
